package com.nisum.ascend.inventory.model;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

@Getter
@Setter
@Document(collection = "Products")
public class Product {
    @Id
    private String id;
//    @Indexed(name = "sku_index_unique", unique=true)
    private String sku;
    private String upc;
    private String prodName;
    private String prodDesc;
    private float price;
    private int availableStock;
    private int blockedStock;
    private String prodImgUrl;
    private String brand;
    private String category;

    public Product() {}

    public Product(String sku, String upc, String prodName, String prodDesc, float price, int availableStock,
                   String prodImgUrl, String brand, String category) {
        this.sku = sku;
        this.upc = upc;
        this.prodName = prodName;
        this.prodDesc = prodDesc;
        this.price = price;
        this.availableStock = availableStock;
        this.blockedStock = 0;
        this.prodImgUrl = prodImgUrl;
        this.brand = brand;
        this.category = category;
    }
}
